<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>rps</title>
	</head>

	<body>
		<h1>Rock paper scissors</h1>
		
		<p><button onclick="connectKeplr()">Connect Keplr</button></p>

		<script>
			async function connectKeplr(){
				await window.keplr.experimentalSuggestChain({
					chainId: "rps",
					chainName: "Rock paper scissors",
					rpc: "http://0.0.0.0:26657",
					rest: "http://0.0.0.0:1317",
					bip44: {
						coinType: 118,
					},
					bech32Config: {
						bech32PrefixAccAddr: "rps",
						bech32PrefixAccPub: "rps" + "pub",
						bech32PrefixValAddr: "rps" + "valoper",
						bech32PrefixValPub: "rps" + "valoperpub",
						bech32PrefixConsAddr: "rps" + "valcons",
						bech32PrefixConsPub: "rps" + "valconspub",
					},
					currencies: [ 
						{ 
							coinDenom: "MSTAKE", 
							coinMinimalDenom: "stake", 
							coinDecimals: 6, 
						}, 
						{
							coinDenom: "win",
							coinMinimalDenom: "win",
							coinDecimals: 0,
						},
						{
							coinDenom: "draw",
							coinMinimalDenom: "draw",
							coinDecimals: 0,
						},
					],
					feeCurrencies: [
						{
							coinDenom: "MSTAKE",
							coinMinimalDenom: "stake",
							coinDecimals: 6,
						},
					],
					stakeCurrency: {
						coinDenom: "MSTAKE",
						coinMinimalDenom: "stake",
						coinDecimals: 6,
					},
					coinType: 118,
					gasPriceStep: {
						low: 0,
						average: 0.001,
						high: 0.003,
					},
				});
				window.keplr.enable("rps");
			}
		</script>
		<script src="dist/bundle.js"></script>
	</body>
</html>
